package nc.vo.hi.cloud.train;

import com.fasterxml.jackson.annotation.JsonProperty;

import nc.vo.pub.SuperVO;
import nc.vo.pub.lang.UFDouble;

/**
 * （线下）培训课程完成情况
 * @author chenzf
 * @date 2022-4-20 16:53:56
 *
 */
public class CloudFinshDetailVO extends SuperVO {
	private String pk_finsh_detail;
	private String attendeeId;//员工培训出勤主键（为空则代表该学员未参与考勤）
	private String id;//培训内容id(如果课程类型是考试，则id同时也是考试安排id)
	private String name;//课程名称
	private String trainingid;//培训id
	private String teachername;//讲师名称
	private String starttime;//课程开始时间
	private String endtime;//课程结束时间
	private String userId;//员工id
	private String username;//员工账号
	private String cnname;//中文名
	@JsonProperty(value = "status")
	private String finshStatus;//（课程）签到状态status。此行无数据表示未签到 0已签到(表示正常时间签到) 1请假 ;如果课程类型是考试： 0 未完成 1主考已完成 2.补考已完成
	private String questionnaireresult;//评价结果
	private String questionnairescore;//考试回写分数（考试分数），学员参与课程评价回写分数（课程评价分数）
	private String sigintime;//签到时间。如果状态是迟到，则表示迟到的签到时间
	private String signouttime;//签退时间。如果此字段无数据，则表示没有签退，即早退
	private String isleaveearly;//是否早退（默认为0,1为早退）
	private String islate;//是否迟到（默认为0,1为迟到）
	private String submittime;//考试交卷时间
	private String questionnaireid;//评价Id/考试userexamid
	private String contentType;//课程类型：0 线下课程 1 考试 2评价（默认0）
	private String joinType;//参与人员类型 0：报名参加 1：指派参加 2：游客参加 3：现场扫码参加
	private Integer isPass;//是否及格 -1，0都是不通过，1为通过
	private String isComplete;//完成状态（0：否、1：是），默认值：0
	private UFDouble duration;//课程时长（小时）
	
	public static final String PK_FINSH_DETAIL = "pk_finsh_detail";
	public static final String ATTENDEEID = "attendeeId";
	public static final String ID = "id";
	public static final String NAME = "name";
	public static final String TRAININGID = "trainingid";
	public static final String TEACHERNAME = "teachername";
	public static final String STARTTIME = "starttime";
	public static final String ENDTIME = "endtime";
	public static final String USERID = "userId";
	public static final String USERNAME = "username";
	public static final String CNNAME = "cnname";
	public static final String FINSHSTATUS = "finshStatus";
	public static final String QUESTIONNAIRERESULT = "questionnaireresult";
	public static final String QUESTIONNAIRESCORE = "questionnairescore";
	public static final String SIGINTIME = "sigintime";
	public static final String SIGNOUTTIME = "signouttime";
	public static final String ISLEAVEEARLY = "isleaveearly";
	public static final String ISLATE = "islate";
	public static final String SUBMITTIME = "submittime";
	public static final String QUESTIONNAIREID = "questionnaireid";
	public static final String CONTENTTYPE = "contentType";
	public static final String JOINTYPE = "joinType";
	public static final String ISPASS = "isPass";
	public static final String ISCOMPLETE = "isComplete";
	public static final String DURATION = "duration";
	
	public String getPk_finsh_detail() {
		return pk_finsh_detail;
	}
	public void setPk_finsh_detail(String pk_finsh_detail) {
		this.pk_finsh_detail = pk_finsh_detail;
	}
	public String getAttendeeId() {
		return attendeeId;
	}
	public void setAttendeeId(String attendeeId) {
		this.attendeeId = attendeeId;
	}
	public String getId() {
		return id;
	}
	public void setId(String id) {
		this.id = id;
	}
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public String getTrainingid() {
		return trainingid;
	}
	public void setTrainingid(String trainingid) {
		this.trainingid = trainingid;
	}
	public String getTeachername() {
		return teachername;
	}
	public void setTeachername(String teachername) {
		this.teachername = teachername;
	}
	public String getStarttime() {
		return starttime;
	}
	public void setStarttime(String starttime) {
		this.starttime = starttime;
	}
	public String getEndtime() {
		return endtime;
	}
	public void setEndtime(String endtime) {
		this.endtime = endtime;
	}
	public String getUserId() {
		return userId;
	}
	public void setUserId(String userId) {
		this.userId = userId;
	}
	public String getUsername() {
		return username;
	}
	public void setUsername(String username) {
		this.username = username;
	}
	public String getCnname() {
		return cnname;
	}
	public void setCnname(String cnname) {
		this.cnname = cnname;
	}
	public String getFinshStatus() {
		return finshStatus;
	}
	public void setFinshStatus(String finshStatus) {
		this.finshStatus = finshStatus;
	}
	public String getQuestionnaireresult() {
		return questionnaireresult;
	}
	public void setQuestionnaireresult(String questionnaireresult) {
		this.questionnaireresult = questionnaireresult;
	}
	public String getQuestionnairescore() {
		return questionnairescore;
	}
	public void setQuestionnairescore(String questionnairescore) {
		this.questionnairescore = questionnairescore;
	}
	public String getSigintime() {
		return sigintime;
	}
	public void setSigintime(String sigintime) {
		this.sigintime = sigintime;
	}
	public String getSignouttime() {
		return signouttime;
	}
	public void setSignouttime(String signouttime) {
		this.signouttime = signouttime;
	}
	public String getIsleaveearly() {
		return isleaveearly;
	}
	public void setIsleaveearly(String isleaveearly) {
		this.isleaveearly = isleaveearly;
	}
	public String getIslate() {
		return islate;
	}
	public void setIslate(String islate) {
		this.islate = islate;
	}
	public String getSubmittime() {
		return submittime;
	}
	public void setSubmittime(String submittime) {
		this.submittime = submittime;
	}
	public String getQuestionnaireid() {
		return questionnaireid;
	}
	public void setQuestionnaireid(String questionnaireid) {
		this.questionnaireid = questionnaireid;
	}
	public String getContentType() {
		return contentType;
	}
	public void setContentType(String contentType) {
		this.contentType = contentType;
	}
	public String getJoinType() {
		return joinType;
	}
	public void setJoinType(String joinType) {
		this.joinType = joinType;
	}
	public Integer getIsPass() {
		return isPass;
	}
	public void setIsPass(Integer isPass) {
		this.isPass = isPass;
	}
	public String getIsComplete() {
		return isComplete;
	}
	public void setIsComplete(String isComplete) {
		this.isComplete = isComplete;
	}
	public UFDouble getDuration() {
		return duration;
	}
	public void setDuration(UFDouble duration) {
		this.duration = duration;
	}
	public String getParentPKFieldName() {
		return null;
	}
	public String getPKFieldName() {
		return "pk_finsh_detail";
	}

	public String getTableName() {
		return "cloud_finsh_detail";
	}
}
